Bug 824483 - [RFE] Allow for hooks within workflow
[RFE] Allow for hooks within workflow
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Og Maciel
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 10:59 EDT by james labocki
Modified: 2014-03-12 18:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 18:53:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-05-23 10:59:33 EDT
Description of problem:
This is a request for a framework which allows hooks to be executed within all parts of workflows. This framework would allow for third party tools to be easily integrated with CloudForms.

Example Story: When the promote button is selected a hook is called (start_promote) which executes a script (created by customer, consultant, or third party software vendor). This script would insert a record into a third party tool (such as remedy or BMC). System Engine would not start the promotion, instead it would set the status to "waiting for response from $hook_name". Upon completion of workflow in third party tool the third party tool would call System Engine API and change the status from "waiting for response from $hook_name" to "approved". At this point, System Engine would start the promotion.
Comment 1 Lukas Zapletal 2012-05-24 06:33:05 EDT
I am working on a prototype of integrating ruote workflow framework with katello for all its backround processing. I will prepare some demo soon.

http://ruote.rubyforge.org/

It's pretty extensive and such changes could be implemented by changing processes there. They can be defined in Ruby DSL or XML files. Taking.
Comment 3 Lukas Zapletal 2014-03-12 06:27:56 EDT
Bug is irrelevant because Foreman supports foreman_hooks plugin.
Comment 4 Bryan Kearney 2014-03-12 18:53:29 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.